Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 23 Apr 2021 12:26:15 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Hello Team.

I had ordered from CentrePoint on 07-04-2021 Order Number 6293936376.

On April 10, 2021 10:45 Pm I received below SMS on my mobile.

Hi, we missed you! We were unable to deliver your item on 2021-04-10 22:42:13 . We will re-attempt the delivery. Click to give feedback fareye.co/customer-interaction.html?uMVpj29yDlQ9ZQuY38c2HA==#/ Stay Happy!

I immediately wrote to Centre Point to complain that no one contacted me on this and it's a false update.
We had exchange of emails with the below email subject
Re: [#2383484] - Delivery.

No one cared about it and second day It happens again the same thing. no one contacts me for delivery and my delivery tracker shows "Customer not reachable"

Apr 12, 2021, 5:06 PM

I wrote an email to [email-masked] and complained that no one contacted me for delivery again.

No one from [email-masked] cared about it.

Apr 13, 2021, 1:28 PM
My  order tracker showed that my order has been updated as "Request for reschedule."
I immediately wrote an email to support@centrepointand reminded them that this is wrong update.

No one from [email-masked] cared about it.

April 15, 17,  I wrote emails & I logged tickets through the Centre Point app to deliver my order and don't delay it.

Support Team Promised me to resend the order.
No updates after that. I sent reminders.

April 20&21 
And finally they cancelled my order and refunded me with below text

"However, the order has already been returned to our warehouse by the courier partner as mentioned in our previous email. Unfortunately, once the items are already returned and return process has been initiated we are unable to resend them."

I mean what is my fault here? & what kind of support is this? why my requests have been ignored and why my order has been cancelled without my consent and refunded back money. Why the [email-masked] didn't cared to call me once. I almost wrote 10+ emails requesting to deliver my order and not to cancel it.

I still need my order to be delivered. please recreate the order with all items and with the same prices and send me the order with COD without the COD charges on me. please don't dictate your processes like above. in this case there is no fault of me and I as a very old customer of landmark, demand my order be delivered. If you can involve the management of your company I would appreciate it.

I have even called the support and logged a complaint about this . Complaint Number is 2440698

kindly recreate my order and send me as requested above. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2441802